Bug 387784 - Sidebar in fullscreen "View" mode moves buttons out of view
Summary: Sidebar in fullscreen "View" mode moves buttons out of view
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Unclassified
Component: general (show other bugs)
Version: 17.08.2
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2017-12-10 20:24 UTC by null
Modified: 2018-02-05 09:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description null 2017-12-10 20:24:30 UTC
When viewing an image in fullscreen mode and pressing F4 to show the sidebar, the toolbar moves so the fullscreen button at the right of the top toolbar is then outside the screen, making clicking on it no longer possible.

Note that this works fine for the fullscreen "Browse" mode.
Comment 1 Peter Mühlenpfordt 2018-01-29 18:16:52 UTC
I just noticed that and can confirm for versions 17.04.3 to current master.
Comment 2 null 2018-02-03 23:33:38 UTC
> Keywords|                            |usability
Nate: I know you add this for tracking in https://phabricator.kde.org/T6831, but I always cringe a little because bug fixes are not always about usability in a strict sense (https://en.wikipedia.org/wiki/Usability).

As far as I see it would be useful to leave this keyword for cases where input from an actual usability expert is needed and tag the goal with another keyword?
Comment 3 Nate Graham 2018-02-03 23:34:52 UTC
That's now why I add the keyword. This is definitely a usability issue: it prevents the user from being able to leave full screen mode using the button.
Comment 4 null 2018-02-03 23:50:26 UTC
You certainly have not read the article in one minute ;) I think your definition is too broad. A missing button would be a usability issue. However, here we already have solved the usability design problem years ago and it was now only a task for the software engineers to fix a glitch. Usability engineering is about applying specific methods to diagnose problems and propose changes in design, not about Q&A.

Anyway, that was a bit off-topic. Thanks for your work ;)
Comment 5 Nate Graham 2018-02-04 00:11:41 UTC
You're welcome! And yes, I am using a broad and user-centric definition of "usability, not a narrow and technical one. For the purposes of https://phabricator.kde.org/T6831, "usability" is anything that makes our apps harder to use. I don't think we or our users particular benefit from being too stingy in this department.
Comment 6 Peter Mühlenpfordt 2018-02-05 08:39:24 UTC
Git commit 613dde719578427a41c34c85118fc628c329791d by Peter Mühlenpfordt.
Committed on 05/02/2018 at 08:38.
Pushed by muhlenpfordt into branch 'master'.

Resize top bar in fullscreen view mode on toggling sidebar

Summary:
When viewing an image in fullscreen mode and pressing {key F4} to
toggle the sidebar, the toolbar at the top does not resize.
The buttons on the right side are not visible while sidebar shows.
In browse mode `KToolBar` is used with a standard layout where this
problem does not appear. Since the toolbar in view mode overlaps the
image view a standard layout is not usable here which would send
resize events automatically.
This patch adds a resize Eventlistener to adjust toolbar width.

Test Plan:
1. Open gwenview in fullscreen view mode
2. Toggle sidebar ({key F4})
-> The top toolbar should resize according to image view width

Checked to work properly on a second monitor.

Reviewers: rkflx, ngraham

Reviewed By: rkflx

Differential Revision: https://phabricator.kde.org/D10248

M  +8    -0    app/fullscreencontent.cpp
M  +1    -0    app/fullscreencontent.h
M  +1    -2    lib/fullscreenbar.cpp

https://commits.kde.org/gwenview/613dde719578427a41c34c85118fc628c329791d
Comment 7 Peter Mühlenpfordt 2018-02-05 09:16:23 UTC
Git commit b3e66abe28c2a85f0891f9212403ff6648a8e2eb by Peter Mühlenpfordt.
Committed on 05/02/2018 at 09:13.
Pushed by muhlenpfordt into branch 'Applications/17.12'.

Resize top bar in fullscreen view mode on toggling sidebar

Summary:
When viewing an image in fullscreen mode and pressing {key F4} to
toggle the sidebar, the toolbar at the top does not resize.
The buttons on the right side are not visible while sidebar shows.
In browse mode `KToolBar` is used with a standard layout where this
problem does not appear. Since the toolbar in view mode overlaps the
image view a standard layout is not usable here which would send
resize events automatically.
This patch adds a resize Eventlistener to adjust toolbar width.

Test Plan:
1. Open gwenview in fullscreen view mode
2. Toggle sidebar ({key F4})
-> The top toolbar should resize according to image view width

Checked to work properly on a second monitor.

Reviewers: rkflx, ngraham

Reviewed By: rkflx

Differential Revision: https://phabricator.kde.org/D10248

M  +8    -0    app/fullscreencontent.cpp
M  +1    -0    app/fullscreencontent.h
M  +1    -2    lib/fullscreenbar.cpp

https://commits.kde.org/gwenview/b3e66abe28c2a85f0891f9212403ff6648a8e2eb